<?php

class Note {
	public $note_owner;
	public $note_game;

	function Note ( $p_owner, $p_game ) {
		$this->note_owner = $p_owner;
		$this->note_game  = $p_game;
	}

	function getGame() {
		return $this->note_game;
	}

	function getText () {
		global $mysql_table_note;

		$owner = $this->note_owner->getIdentifier();
		$game  = $this->note_game->getId();

		$q = sql_query("select nt_text from $mysql_table_note"
				. " where nt_owner=? and nt_game=?", array($owner, $game));

		if ( $q ) {
			$res = array_shift($q);
			$res = $res['nt_text'];
		}
		else {
			$res = "";
		}

		return $res;
	}

	function setText ( $p_text ) {
		global $mysql_table_note;

		if ( strlen($p_text) > MAX_TEXT_LENGTH ) {
			$p_text = substr($p_text, 0, MAX_TEXT_LENGTH);
		}

		$p_text = stripslashes($p_text);
		$p_text = mysql_escape_string($p_text);

		$owner = $this->note_owner->getIdentifier();
		$game  = $this->note_game->getId();

		$res = sql_exec("replace into $mysql_table_note"
				. " set nt_owner=?, nt_game=?,"
				. " nt_text=?", array($owner, $game, $p_text));

		return $res[1]->rowCount() == 1;
	}
};

?>
