<?php

function mcc_template_searchbox($p_location, $p_player, $p_color, $p_opponent ) {
	$search_games = SEARCH_GAMES;

	if ( $p_location == "archive" ) {
		$sel_games = "";
		$sel_archs = "selected";
	}
	else {
		$sel_games = "selected";
		$sel_archs = "";
	}

	if ( $p_color == "w" ) {
		$sel_a = "";
		$sel_w = "selected";
		$sel_b = "";
	}
	else if ( $p_color == "b" ) {
		$sel_a = "";
		$sel_w = "";
		$sel_b = "selected";
	}
	else {
		$sel_a = "selected";
		$sel_w = "";
		$sel_b = "";
	}

	$search = <<<EOT

<form method="get" action="search.php">
<table class="search">
<tr>
	<td class="search_left">Location:</td>
	<td class="search_right">
		<select name="location" class="search_select">
		  <option $sel_games value="games">Open Games</option>
		  <option $sel_archs value="archive">Archive</option>
		</select>
	</td>
</tr>
<tr>
	<td class="search_left">Player:</td>
	<td class="search_right">
		<input name="player" class="search_text" value="$p_player" />
	</td>
</tr>
<tr>
	<td class="search_left">Player Color:</td>
	<td class="search_right">
		<select name="color" class="search_select">
			 <option $sel_a value="anycolor">Any Color</option>
			 <option $sel_w value="w">White</option>
			 <option $sel_b value="b">Black</option>
		</select>
	</td>
</tr>
<tr>
	<td class="search_left">Opponent:</td>
	<td class="search_right">
		<input name="opponent" class="search_text" value="$p_opponent" />
	</td>
</tr>
<tr>
	<td class="search_middle" colspan="2">
		<input type="submit" name="search" value="${search_games}" />
	</td>
</tr>
</table>
</form>
EOT;

	return mcc_template_box("Search Games", $search);
}
?>